import java.util.ArrayList;
import java.util.List;


public class Llave {
	public static final int MAX_ALTURA_DIENTE = 10;
	private List <Integer> dientes;
	
	public Llave (int numDientes){
		dientes = new ArrayList <Integer> (numDientes);
		for(int i=0; i<numDientes; i++){
			dientes.add(MAX_ALTURA_DIENTE);
		}
	}
	public int obtenerAltura(int diente){
		return dientes.get(diente);
	}
	
	public int numDientes(){
		return dientes.size();
	}
	public void limarDiente(int diente, int altura) throws LyCException {
		if((diente<0) || (diente >= dientes.size())){
			throw new LyCException("Diente incorrecto"); 
		}else if((altura<0) || altura>dientes.get(diente)){
			throw new LyCException("Altura incorrecta");
		}else{
			int limdent = dientes.get(diente);
			dientes.remove(diente);
			limdent -= altura;
			dientes.add(diente, limdent);
			System.out.println("Se lim a "+limdent+" mm");
		}
	}
	public String toString(){
		return dientes.toString();
	}
}
